services:
  app.listener.entity.media_file_listener:
    class: App\Listener\Entity\MediaFileListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Media\MediaFile, event: prePersist, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Media\MediaFile, event: preUpdate, lazy: true }
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Media\MediaFile, event: postRemove, lazy: true }
    arguments:
      [ '@App\Service\Native\FileService' ]